View Issue Details

IDProjectCategoryView StatusLast Update
0003070Ham Radio DeluxeBugpublic2019-02-24 15:13
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.5.0.196 
Summary0003070: Opening Command Tester in Rig Control is very slow
DescriptionOpening the Command Tester in Rig Control is a lot slower than it should be. The problem is that very slow code to enumerate COM ports is used; this code is copied and pasted in several other locations in the suite, and slows everything down. There's a better (faster) way to enumerate ports, and the command tester should use that method instead.

Steps To Reproduce1) Fire up Rig control. Don't connect to a radio
2) Use the "Command Tester" command in the "Tools" menu
3) Wait. Takes about 8 seconds on my machine, which is a fire-breathing beast.
4) Finally, a message about "this is dangerous" is displayed


BUG#1) It shouldn't take so long.

TagsNo tags attached.
ModuleRig Control
Sub-ModuleAppearance/UI
Testing Beta Successful

Relationships

related to 0003170 closedK7ZCZ Rig Control sometimes shows duplicate COM ports 

Activities

K7ZCZ

2019-01-18 12:27

manager   ~0007027

Fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4734

WA9PIE

2019-01-27 08:33

administrator   ~0007084

Validated

Issue History

Date Modified Username Field Change
2019-01-17 17:16 K7ZCZ New Issue
2019-01-18 12:27 K7ZCZ Assigned To => K7ZCZ
2019-01-18 12:27 K7ZCZ Status new => resolved
2019-01-18 12:27 K7ZCZ Resolution open => fixed
2019-01-18 12:27 K7ZCZ Note Added: 0007027
2019-01-19 10:11 K7ZCZ Fixed in Version => 6.5.0.184
2019-01-27 08:33 WA9PIE Status resolved => closed
2019-01-27 08:33 WA9PIE Fixed in Version 6.5.0.184 => 6.5.0.187
2019-01-27 08:33 WA9PIE Description Updated View Revisions
2019-01-27 08:33 WA9PIE Steps to Reproduce Updated View Revisions
2019-01-27 08:33 WA9PIE Testing Not Started => Beta Successful
2019-01-27 08:33 WA9PIE Note Added: 0007084
2019-02-08 14:18 K7ZCZ Relationship added related to 0003170
2019-02-24 14:36 WA9PIE Fixed in Version 6.5.0.187 => 6.5.0.196
2019-02-24 15:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe